View Issue Details

IDProjectCategoryView StatusLast Update
0011732mantisbtintegrationpublic2014-12-08 00:34
ReporterdhxAssigned Todhx 
PrioritynormalSeverityfeatureReproducibilityN/A
Status closedResolutionfixed 
Product Version1.2.15 
Target Version1.3.0-beta.1Fixed in Version1.3.0-beta.1 
Summary0011732: Remove built-in source code integration support
Description

The built-in source code integration support is old, restrictive and not supported at the moment. The far superior SourceIntegration plugin provides all the same functionality and much more.

This bug tracks work towards removing the built-in support from MantisBT 1.3.x in favour or using a more modern plugin approach.

TagsNo tags attached.

Relationships

related to 0015721 closedgrangeway Functionality to consider porting to master-2.0.x 
related to 0009152 closeddhx Suggestion for different regular expression in checkin for SVN integration 
related to 0009465 closeddhx Set "Fixed in Version" automatically by "source_control_set_resolution_to" 
related to 0010042 closeddhx SVN Integration Error - SYSTEM WARNING: session_start(): open(...) failed: Permission denied 
related to 0008936 closeddhx SVN/CVS checkings don't notify by email 
related to 0009463 closeddhx notifications sent when a note is added through VCS integration display www.example.com in the bug link 
related to 0008510 closeddhx Integration with Microsoft VS Team Foundation Server 2005 
related to 0009428 closeddhx allow multiple fixed_regexp 
related to 0009054 closeddhx Assign the note to the commiter 
related to 0011319 closeddhx upgrade to 1.1.8 causes CLI-run checkin.php to show useless warnings during code checkins 
related to 0009866 closeddhx CVS integration does not work 
related to 0010160 closeddhx SVN integration with Mantis, add Time Tracking from SVN 
related to 0005796 closeddhx CVS integration improvement 
related to 0007331 closeddhx Make Source Control Regex's work better with $g_bug_link_tag 
related to 0008210 closeddhx Problem with svn-integration 
related to 0007604 closeddhx CVS Commit error 
related to 0007330 closeddhx Make Source Control Regex's work better for comma separated issue messages 
related to 0006506 closeddhx CVS integration with tags 
related to 0006589 closeddhx CVS/SVN Integration - Issue Number vs Revision 
related to 0004522 closeddhx checkin.php should extract more information from the commit 
related to 0006808 closeddhx 0005599: Adding to the "Fixed in Version" filter an "Any except CVS" option 
related to 0006324 closeddhx More CVS integration 
related to 0006011 closeddhx CVS Integration - added links to ViewCVS 
related to 0005968 closeddhx CVS: linking broken 
related to 0005763 closeddhx checkin.php freeze and fail to arvg[1] file. 
related to 0008733 closeddhx Submitting SVN commit logs with accents using checkin.php doesn't show properly in mantis 
related to 0010880 closeddhx Links in mantis (notes) 
related to 0016900 confirmed Document breaking changes from the 1.2.x stream 

Activities

dhx

dhx

2010-03-31 05:31

reporter   ~0024969

Done.

grangeway

grangeway

2013-04-05 17:57

reporter   ~0036489

Marking as 'acknowledged' not resolved/closed to track that change gets ported to master-2.0.x branch

Related Changesets

MantisBT: master 9527e0ef

2010-03-31 09:29:00

dhx

Details Diff
Issue 0011732: Remove built-in source code integration support

The built-in source code integration support is old, restrictive and not
actively maintained. The far superior SourceIntegration plugin
provides the same functionality and much more (in a modular fashion).
mod - plugins/MantisCoreFormatting/lang/strings_portuguese_brazil.txt Diff File
mod - lang/strings_spanish.txt Diff File
mod - plugins/MantisCoreFormatting/lang/strings_slovak.txt Diff File
mod - lang/strings_finnish.txt Diff File
mod - plugins/MantisCoreFormatting/lang/strings_french.txt Diff File
mod - plugins/MantisCoreFormatting/lang/strings_finnish.txt Diff File
mod - lang/strings_french.txt Diff File
mod - lang/strings_russian.txt Diff File
mod - plugins/MantisCoreFormatting/lang/strings_afrikaans.txt Diff File
mod - plugins/MantisCoreFormatting/lang/strings_ripoarisch.txt Diff File
mod - lang/strings_macedonian.txt Diff File
mod - docbook/adminguide/en/customizing_mantis.sgml Diff File
mod - plugins/MantisCoreFormatting/lang/strings_spanish.txt Diff File
mod - plugins/MantisCoreFormatting/lang/strings_hungarian.txt Diff File
mod - lang/strings_arabicegyptianspoken.txt Diff File
mod - plugins/MantisCoreFormatting/lang/strings_russian.txt Diff File
mod - plugins/MantisCoreFormatting/pages/config.php Diff File
mod - plugins/MantisCoreFormatting/lang/strings_dutch.txt Diff File
mod - plugins/MantisCoreFormatting/MantisCoreFormatting.php Diff File
mod - core/history_api.php Diff File
mod - lang/strings_czech.txt Diff File
mod - docbook/adminguide/en/configuration.sgml Diff File
mod - lang/strings_catalan.txt Diff File
mod - lang/strings_polish.txt Diff File
mod - plugins/MantisCoreFormatting/lang/strings_norwegian_bokmal.txt Diff File
mod - lang/strings_bulgarian.txt Diff File
mod - api/soap/mc_issue_api.php Diff File
mod - plugins/MantisCoreFormatting/lang/strings_breton.txt Diff File
mod - lang/strings_occitan.txt Diff File
mod - core/obsolete.php Diff File
mod - lang/strings_dutch.txt Diff File
mod - lang/strings_chinese_simplified.txt Diff File
mod - plugins/MantisCoreFormatting/lang/strings_occitan.txt Diff File
mod - lang/strings_breton.txt Diff File
mod - lang/strings_japanese.txt Diff File
mod - lang/strings_tagalog.txt Diff File
mod - core/string_api.php Diff File
mod - lang/strings_lithuanian.txt Diff File
mod - plugins/MantisCoreFormatting/pages/config_edit.php Diff File
mod - core/custom_function_api.php Diff File
mod - lang/strings_portuguese_brazil.txt Diff File
mod - plugins/MantisCoreFormatting/lang/strings_english.txt Diff File
mod - plugins/MantisCoreFormatting/lang/strings_german.txt Diff File
mod - lang/strings_hebrew.txt Diff File
mod - lang/strings_estonian.txt Diff File
mod - plugins/MantisCoreFormatting/lang/strings_portuguese_standard.txt Diff File
mod - core/constant_inc.php Diff File
mod - lang/strings_chinese_traditional.txt Diff File
mod - scripts/README Diff File
mod - lang/strings_icelandic.txt Diff File
mod - lang/strings_galician.txt Diff File
mod - lang/strings_korean.txt Diff File
mod - lang/strings_danish.txt Diff File
mod - lang/strings_slovak.txt Diff File
mod - lang/strings_swedish.txt Diff File
mod - lang/strings_urdu.txt Diff File
mod - lang/strings_english.txt Diff File
mod - plugins/MantisCoreFormatting/lang/strings_catalan.txt Diff File
mod - plugins/MantisCoreFormatting/lang/strings_hebrew.txt Diff File
mod - lang/strings_norwegian_bokmal.txt Diff File
rm - scripts/checkin.php Diff File
mod - plugins/MantisCoreFormatting/lang/strings_galician.txt Diff File
mod - plugins/MantisCoreFormatting/lang/strings_swissgerman.txt Diff File
mod - lang/strings_german.txt Diff File
mod - config_defaults_inc.php Diff File
mod - lang/strings_arabic.txt Diff File
mod - plugins/MantisCoreFormatting/lang/strings_japanese.txt Diff File
mod - plugins/MantisCoreFormatting/lang/strings_macedonian.txt Diff File
mod - api/soap/mantisconnect.php Diff File
mod - lang/strings_hungarian.txt Diff File
mod - lang/strings_swissgerman.txt Diff File

Issue History

Date Modified Username Field Change
2010-03-31 03:19 dhx New Issue
2010-03-31 03:19 dhx Status new => assigned
2010-03-31 03:19 dhx Assigned To => dhx
2010-03-31 03:22 dhx Relationship added parent of 0009152
2010-03-31 03:22 dhx Relationship deleted parent of 0009152
2010-03-31 03:22 dhx Relationship added related to 0009152
2010-03-31 03:23 dhx Relationship added related to 0009465
2010-03-31 03:24 dhx Relationship added related to 0010042
2010-03-31 03:25 dhx Relationship added related to 0008936
2010-03-31 03:26 dhx Relationship added related to 0009463
2010-03-31 03:27 dhx Relationship added related to 0008510
2010-03-31 03:28 dhx Relationship added related to 0009428
2010-03-31 03:29 dhx Relationship added related to 0009054
2010-03-31 03:29 dhx Relationship added related to 0011319
2010-03-31 03:38 dhx Relationship added related to 0009866
2010-03-31 03:40 dhx Relationship added related to 0010160
2010-03-31 03:59 dhx Relationship added related to 0005796
2010-03-31 04:14 dhx Relationship added child of 0007331
2010-03-31 04:14 dhx Relationship deleted child of 0007331
2010-03-31 04:14 dhx Relationship added related to 0007331
2010-03-31 04:16 dhx Relationship added related to 0008210
2010-03-31 04:18 dhx Relationship added related to 0007604
2010-03-31 04:18 dhx Relationship added related to 0007330
2010-03-31 04:20 dhx Relationship added related to 0006506
2010-03-31 04:20 dhx Relationship added related to 0006589
2010-03-31 04:21 dhx Relationship added related to 0004522
2010-03-31 04:24 dhx Relationship added related to 0006808
2010-03-31 04:25 dhx Relationship added related to 0006324
2010-03-31 04:26 dhx Relationship added related to 0006011
2010-03-31 04:26 dhx Relationship added related to 0005968
2010-03-31 04:27 dhx Relationship added related to 0005763
2010-03-31 04:49 dhx Relationship added related to 0008733
2010-03-31 05:31 dhx Note Added: 0024969
2010-03-31 05:31 dhx Status assigned => resolved
2010-03-31 05:31 dhx Fixed in Version => 1.3.0-beta.1
2010-03-31 05:31 dhx Resolution open => fixed
2010-03-31 05:40 dhx Changeset attached master 9527e0ef =>
2010-06-09 03:26 dhx Relationship added related to 0010880
2010-09-19 03:11 dhx Status resolved => closed
2013-04-05 17:57 grangeway Status closed => acknowledged
2013-04-05 17:57 grangeway Note Added: 0036489
2013-04-05 18:05 grangeway Relationship added related to 0015721
2013-04-06 03:44 dregad Status acknowledged => resolved
2013-04-06 07:20 grangeway Status resolved => acknowledged
2013-04-06 09:26 dregad Tag Attached: 2.0.x check
2013-04-06 09:26 dregad Status acknowledged => resolved
2013-10-18 15:29 atrol Product Version 1.3.0-beta.1 => 1.2.15
2014-01-28 08:12 atrol Relationship added related to 0016900
2014-09-23 18:05 grangeway Tag Detached: 2.0.x check
2014-12-08 00:34 vboctor Status resolved => closed